#include <bits/stdc++.h>
#define N 1002

using namespace std;

int n, k, x;
int a[N];

int main ()
{
    int n, k, x;
    cin >> n >> k >> x;
    if(n==1) { cout << 1 << endl; return 0; }
    if(n==2) { if(k==0) cout << "1 1" << endl; else cout << "1 " << 1+x << endl; return 0; }
    if(n==3) { if(k==0) cout << "1 1 1" << endl; else if(k==1) cout << "1 2 " << x+1 << endl;
    else if(k==2) { cout << "1 1 " << 1+x << endl; } else cout << "1 " << x+1 << " " << 2*x+1 << endl;
    return 0; }
    if(k==3) { cout << "1 1 1 " << x+1 << " "; for(int i=3;i<n;i++) cout << "2 "; cout << endl; return 0; }
    if(n==k)
    {
        cout << "1 " << x+1 << " " << 2*x+1 << " ";
        for(int i=3;i<n;i++) cout << "2 ";
        cout << endl; return 0;
    }
    if(k<n)
    {
        while(k) { cout << "1 "; k--; n--; }
        cout << x+1 << " "; n--;
        for(int i=0;i<n;i++) cout << "2 ";
        cout << endl;
        return 0;
    }
    return 0;
}